#ifndef VisionSystemCalibHeader
#define VisionSystemCalibHeader


termios stored_settings;

void set_keypress(void) {
	termios new_settings;
	tcgetattr(0,&stored_settings);
	new_settings = stored_settings;
	new_settings.c_lflag &= (~ICANON);
	new_settings.c_cc[VTIME] = 0;
	tcgetattr(0,&stored_settings);
	new_settings.c_cc[VMIN] = 0;
	tcsetattr(0,TCSANOW,&new_settings);
}

void reset_keypress(void) {
	tcsetattr(0,TCSANOW,&stored_settings);
}

class MyLogger : public ARToolKitPlus::Logger
{
    void artLog(const char* nStr)
    {
        printf(nStr);
    }
};



#endif
