/**********************************************
 * DCDT                       January 2002    *  
 *                                            *
 * DCDT_Main.cpp                              *
 *                                            *
 *                                            *
 **********************************************/

#include <DCDT_Agora.h>
#include <DCDT_Member.h>
#include <DCDT_Time.h>

#include "const.h"

#include "member_four.h"

int main(int argc, char **argv) {

  DCDT_Agora *agora;
  MemberFour *member1;

  agora = new DCDT_Agora("../dcdt.conf");

  member1 = new MemberFour(agora);

  agora->AddMember(member1);

  printf("\n\nPress a key to create the Community\n\n");
  getchar();

  agora->ActivateMember(member1);

  printf("\n\nPress a key and ''let's work, be proud...'' \n\n");
  getchar();

  agora->LetsWork();

  delete member1;

  delete agora;

  printf("\n\nCommunity Session Terminated\n\n");

  return 0;
}
