#include "MsgMgr1.h"

MsgMgrOne::MsgMgrOne (ModuleDispatch *dispatch, int period)
:ModuleExpert(dispatch,period),MessageManager(dispatch, period)
{
};

MsgMgrOne::~MsgMgrOne()
{
};

void
MsgMgrOne::RunInit()
{
  fflush(stdout);

  AddGeneralMsgRequest( 1 );
  AddGeneralMsgRequest( 2 );
};

void
MsgMgrOne::RunDuty()
{
  static int nMsg1=0,nMsg2=0;
  unsigned int ObjID,idmy;
  MsgObject *pMsg;
  AttributeType *pAttr;

  ObjID = AddObject ( 2, "Msg tipo 2" );  
  AddAttribute ( 2, ObjID, "ATTR2", 1, 2, 3 );

  SendGeneralMessage ( 2 );

  ReceiveGeneralMessages();

  cout << "Using GetFistObject() - GetNextObject()" << endl;
  pMsg = GetFirstObject();
  idmy=0;
  while ( pMsg != NULL )
    {
      idmy++;
      pMsg = GetNextObject();
    }

  cout << "MsgMgrOne:Message objects: " << idmy << endl;

  cout << "Using GetFirstMessage() - GetNextMessage() - IsLastMessage()" << endl;
  idmy=GetFirstMessage();
  cout << "GetFirstMessage() = " << idmy << endl;

  while ( !IsLastMessage()  ) {
     cout << "Message " << idmy << " Objects " << GetObjectsOfMessage(idmy) << endl;
     idmy = GetNextMessage();
  }
  
/*
  pAttr=GetFirstAttribute();
  while ( pAttr != NULL )
    {
      cout << pAttr->name << " - " << pAttr->value << endl;

      pAttr = GetNextAttribute();
    }
*/

  if ( IsArrivedMessage( 1 ) ) {
     cout << "IsArrivedMessage(1)" << endl;
     nMsg1=1;
  }

  if ( IsArrivedMessage( 2 ) ) {
     cout << "IsArrivedMessage(2)" << endl;
     nMsg2=1;
  }

  if ( ( nMsg1 > 0 ) && ( nMsg2 > 0 ) ) {
    cout << "Terminating" << endl;
    ObjID = AddObject ( 3, "Msg tipo 3" );
    AddAttribute ( 3, ObjID, "ATTR4", 1, 2, 3 );
    SendGeneralMessage ( 3 );
    Shutdown(5);
  }

};

void
MsgMgrOne::RunClose()
{
   EraseGeneralMessages();
};
