#include "MsgMgr2.h"

MsgMgrTwo::MsgMgrTwo (ModuleDispatch *dispatch, int period)
:ModuleExpert(dispatch,period),MessageManager(dispatch,period)
{
};

MsgMgrTwo::~MsgMgrTwo()
{
};

void
MsgMgrTwo::RunInit()
{
  AddGeneralMsgRequest( 3 );
};

void
MsgMgrTwo::RunDuty()
{
  unsigned int ObjID,idmy;
  MsgObject *pMsg;

  ObjID = AddObject ( 1, "Msg tipo 1" );
  AddAttribute ( 1, ObjID, "ATTR3", 1, 2, 3 );
 
  SendGeneralMessage ( 1 );

  ReceiveGeneralMessages();

  pMsg = GetFirstObject();
  idmy=0;
  while ( pMsg != NULL )
    {
      idmy++;
      pMsg = GetNextObject();
    }

  AttributeType *pAttr=GetFirstAttribute();
  while ( pAttr != NULL )
    {
      cout << pAttr->name << " - " << pAttr->value << endl;

      pAttr = GetNextAttribute();
    }

  cout << "MsgMgrTwo:Message objects: " << idmy << endl;

  if ( IsArrivedMessage(3) ) {
    cout << "Terminate 2" << endl;
    Shutdown(5);
  }

};

void
MsgMgrTwo::RunClose()
{
   EraseGeneralMessages();
};
