#include "Exp1.h"
#include "Exp2.h"

int main( int arc, char *argv[] ) 
{
  ModuleDispatch *Dispatch;
  ExpOne *Exp1=NULL;
  ExpTwo *Exp2=NULL;

  Dispatch = new ModuleDispatch( "../dcdt.conf", "hostname" );
  Exp1 = new ExpOne(Dispatch,00000);
  Exp2 = new ExpTwo(Dispatch,00000);
 
  if ( Exp1 ) 
     Dispatch->AddMember(Exp1);
  if ( Exp2 )
     Dispatch->AddMember(Exp2);
 
  printf("\n\nPress a key to create the Community\n\n");
  getchar();

  if ( Exp1 )
     Dispatch->ActivateMember(Exp1);
  if ( Exp2 )
     Dispatch->ActivateMember(Exp2);

  printf("\n\nPress a key and ''let's work, be proud...'' \n\n");
  getchar();

  Dispatch->LetsWork();

  if ( Exp1 )
     delete Exp1;
  if ( Exp2 )
     delete Exp2;

  delete Dispatch;

  printf("\n\nCommunity Session Terminated\n\n");

  return 0;
}
