#include "Member1.h"

MemberOne::MemberOne (ModuleDispatch *dispatch, unsigned long p)
:ModuleMember(dispatch,p)
{
  period=p;
};

MemberOne::~MemberOne()
{
};

void MemberOne::RunInit()
{
  printf("\nMemberOne: Initializing\n");
  fflush(stdout);

  AddMessageRequest( 1, LOCAL );
  AddMessageRequest( 2, REMOTE );
  AddMessageRequest( 2, LOCAL );
  LAT_DEADLINE( 0,((double)period/1000000.0) );
};

void MemberOne::RunDuty()
{
  static int count=0;
  int length;
  int type;
  unsigned char *msg;

  LAT_SAMPLE(0,Exit()); 
  type=0;
  length = ReceiveMessage( type, msg );
  if ( length > 0 ) {
     //printf ( "Msg type %d: <%s> (%d)\n", type, msg, count );
     count++;
  }

  if ( count > 200 )
     Terminate(5);

};

void MemberOne::RunClose()
{
};
