#include "MsgMgr1.h"

MsgMgrOne::MsgMgrOne (ModuleDispatch *dispatch, unsigned int period)
:ModuleExpert(dispatch, period),StringMessageManager(dispatch, period, "MsgMgrOne" )
{
};

MsgMgrOne::~MsgMgrOne()
{
};

void
MsgMgrOne::RunInit()
{
  AddMessageRequest( 1, LOCAL );
  AddMessageRequest( 1, REMOTE );
};

void
MsgMgrOne::RunDuty()
{
   static int recv=0,flag=0;
   unsigned int idmy,counter;

   CancelAllStringMessages();
   ReceiveAllStringMessages();
   idmy=GetNumberOfReceivedMessages();
   counter=0;
   while ( counter<idmy ) {
      printf ( "Message: %s\n", GetStringMessage(counter++) );
      recv++;
   }

   if ( ( flag == 0 ) && ( recv > 50 ) ) {
      printf ( "Clearing message queue\n" );
      ClearMessages( 0 );
      getchar();
      flag++;
   }

   if ( recv > 100 ) {
      string msg("End");
      cout << "Sending termination signal" << endl;
      cout << recv << " messages received." << endl;
      NewMessage( 2, msg );
      CloseCurrentMessage();
      SendAllStringMessages();
      Exit();
   }
};

void
MsgMgrOne::RunClose()
{
};
