# -*- coding: UTF-8 -*-

import sys
import os.path
import buildBehavior
import fancyMsgs

fFileList = []

for file in os.listdir('.'):
	n, e = os.path.splitext(file)
	if e=='.tpl' and n.find('~')==-1 and n.find('#')==-1:
		fFileList.append(file)

for file in fFileList:
	n, e = os.path.splitext(file)
#	if n=='Predicate':
#		outputFile = n + '.ini'
#		createBehavior.buildBehavior(file,'../' + outputFile,'false')
#	else:
	outputFile = n + '.rul'
	
	if len(sys.argv) < 2:
		print fancyMsgs.errorMsg('Missing argument. Please select robot type giano or triskar')
		sys.exit()
	else:
		robot = sys.argv[1]
		if (robot=='giano'):
			buildBehavior.buildGianoBehavior(file,'../' + outputFile,'false')
		elif (robot=='triskar'): 
			buildBehavior.buildTriskarBehavior(file,'../' + outputFile,'false')
		else:
			print fancyMsgs.errorMsg('Missing argument. Please select robot type giano or triskar')

