#GoToBallOrientedToTarget

#The robot must become BallOwner: robot's kicker must be very close to the ball. Target is opponent's goal.
#robot, ball and goal must be aligned.

(OR	(BallInKicker)
	(AND	(BallInContact)
		(AND	(BallTargetAligned)
			(NOT	(BallN)))))	=> 	(Module STEADY) ;


## Section Ball Far and Near

(BallFar) 	=> 	(Module VERY_FAST);
(BallNear) 	=> 	(Module FAST);

[8]{
(AND	(Ball<D>)
	(OR	(BallFar) (BallNear)))	=>	(Angle <D>);

(AND	(AND	(Ball<D>) (Ball<D+2>))
	(OR	(BallFar) (BallNear)))	=>	(Angle <D+1>);
}
## Section Ball Close
	
(BallClose)	=> 	(Module FAST);

# Section Ball-Target Aligned

[8]{
(AND	(AND	(BallClose) (Ball<D>))
	(BallTargetAligned)) 		=> (Angle <D>);
}
# Section Ball-Target Right or SmallRight or Opposite moving left, or not turning

[8]{
(AND	(AND	(BallClose) (Ball<D>))
	(OR	(BallTargetRight)
		(OR	(BallTargetSmallRight)
			(AND	(BallTargetOpposite)
				(NOT	(MovingRight<D>))))))	=> (Angle <D+2>);
}
# Section Ball-Target Left or SmallLeft or Opposite moving right

[8]{
(AND	(AND	(BallClose) (Ball<D>))
	(OR	(BallTargetLeft)
		(OR	(BallTargetSmallLeft)
			(AND	(BallTargetOpposite) (MovingRight<D>)))))	=> (Angle  <D+14>);
}

## Ball In Contact

(AND	(BallInContact)
	(NOT	(AND	(BallTargetAligned)
			(NOT	(BallN)))))	=> 	(Module SLOW);

(AND	(BallInContact)(BallN)) => (Module SLOW)(Angle N);

# Section Ball-Target right or Opposite, moving left of not turning

[8]{
(AND	(AND	(BallInContact)(Ball<D>))
	(OR	(BallTargetRight)
		(OR	(BallTargetSmallRight)
			(AND	(BallTargetOpposite)
				(NOT	(MovingRight<D>))))))	=> 	(Angle <D+4>);
}

# Section Ball-Target Left or SmallLeft or Opposite, moving Right

[8]{
(AND	(AND	(BallInContact)(Ball<D>))
	(OR	(BallTargetLeft)
		(OR	(BallTargetSmallLeft)
			(AND	(BallTargetOpposite) (MovingRight<D>)))))	=> 	(Angle <D+12>);
}