## PenaltyKick
## This behavior should bring the robot on position and shot a penalty kick

## Section Ball Far or Near

(OR	(BallFar)(BallNear))	=> 	(Module FAST);

# Section Ball-Goal Aligned

[8]{
(AND	(Ball<D>)
	(OR	(BallFar) (BallNear)))	=>	(Angle <D>);

(AND	(AND	(Ball<D>) (Ball<D+2>))
	(OR	(BallFar) (BallNear)))	=>	(Angle <D+1>);
}
# Section Ball-Goal Right or SmallRight or Opposite moving left, or not turning

[8]{
(AND	(AND	(Ball<D>)
		(OR	(BallFar) (BallNear)))
	(OR	(BallGoalRight)
		(OR	(BallGoalSmallRight)
			(AND	(BallGoalOpposite)
				(NOT	(MovingRight<D>))))))	=> (Angle <D+2>);

(AND	(AND	(AND	(Ball<D>) (Ball<D+2>))
		(OR	(BallFar) (BallNear)))
	(OR	(BallGoalRight)
		(OR	(BallGoalSmallRight)
			(AND	(BallGoalOpposite)
				(NOT	(MovingRight<D+1>))))))	=> (Angle <D+3>);
}
# Section Ball-Goal Left or SmallLeft or Opposite moving right

[8]{
(AND	(AND	(Ball<D>)
		(OR	(BallFar) (BallNear)))
	(OR	(BallGoalLeft)
		(OR	(BallGoalSmallLeft)
			(AND	(BallGoalOpposite) (MovingRight<D>)))))	=> (Angle  <D+14>);

(AND	(AND	(AND	(Ball<D>) (Ball<D+2>))
		(OR	(BallFar) (BallNear)))
	(OR	(BallGoalLeft)
		(OR	(BallGoalSmallLeft)
			(AND	(BallGoalOpposite) (MovingRight<D+1>)))))=> (Angle  <D+15>);
}

## Section Ball Close
	
(AND	(BallClose)(BallGoalAligned))		=> (Module FAST);
(AND	(BallClose)(NOT(BallGoalAligned)))	=> (Module MID);

# Section Ball-Goal Aligned

[8]{
(AND	(AND	(BallClose) (Ball<D>))
	(BallGoalAligned)) 		=> (Angle <D>);
}


# Section Ball-Goal SmallRight

[8]{
(AND	(AND	(BallClose) (Ball<D>))
	(BallGoalSmallRight))		=> (Angle <D+1>);
}
# Section Ball-Goal Right or Opposite moving left, or not turning

[8]{
(AND	(AND	(BallClose) (Ball<D>))
	(OR	(BallGoalRight)
		(AND	(BallGoalOpposite)
			(NOT	(MovingRight<D>)))))	=> (Angle <D+2>);
}
# Section Ball-Goal SmallLeft

[8]{
(AND	(AND	(BallClose) (Ball<D>))
	(BallGoalSmallLeft))		=> (Angle  <D+15>);
}
# Section Ball-Goal Left or Opposite moving right

[8]{
(AND	(AND	(BallClose) (Ball<D>))
	(OR	(BallGoalLeft)
		(AND	(BallGoalOpposite) (MovingRight<D>))))	=> (Angle  <D+14>);
}

## Ball In Contact

#Section BallGoalAligned

(AND	(AND	(BallInContact)(BallN))
	(FreeGoal0))		=> 	(Angle N)(Module VERY_FAST)(Kick FRONT);

(AND	(AND	(BallInContact)(BallN))
	(AND	(NOT	(FreeGoal0))(FreeGoal1)))
				=> 	(Angle N)(Module FAST)(Rot LEFT);

(AND	(AND	(BallInContact)(BallN))
	(AND	(NOT	(FreeGoal0))
		(AND	(NOT	(FreeGoal1))(FreeGoal28))))
				=> 	(Angle N)(Module FAST)(Rot RIGHT);

(AND	(AND	(BallInContact)(BallN))
	(AND	(NOT	(FreeGoal0))
		(AND	(NOT	(FreeGoal1))
			(AND 	(NOT 	(FreeGoal28))(FreeGoal2)))))
				=> 	(Angle N)(Module FAST)(Rot LEFT);

(AND	(AND	(BallInContact)(BallN))
	(AND	(NOT	(FreeGoal0))
		(AND	(NOT	(FreeGoal1))
			(AND 	(NOT 	(FreeGoal28))
				(AND	(NOT	(FreeGoal2))(FreeGoal29))))))
				=> 	(Angle N)(Module FAST)(Rot RIGHT);

(AND	(AND	(BallInContact)(BallN))
	(AND	(NOT	(FreeGoal0))
		(AND	(NOT	(FreeGoal1))
			(AND 	(NOT 	(FreeGoal28))
				(AND	(NOT	(FreeGoal2))
					(AND	(NOT	(FreeGoal29))(FreeGoal3)))))))
				=> 	(Angle N)(Module FAST)(Rot LEFT);

(AND	(AND	(BallInContact)(BallN))
	(AND	(NOT	(FreeGoal0))
		(AND	(NOT	(FreeGoal1))
			(AND 	(NOT 	(FreeGoal28))
				(AND	(NOT	(FreeGoal2))
					(AND	(NOT	(FreeGoal29))
						(AND	(NOT	(FreeGoal3))(FreeGoal30))))))))
				=> 	(Angle N)(Module FAST)(Rot RIGHT);

(AND	(AND	(BallInContact)(BallN))
	(AND	(NOT	(FreeGoal0))
		(AND	(NOT	(FreeGoal1))
			(AND 	(NOT 	(FreeGoal28))
				(AND	(NOT	(FreeGoal2))
					(AND	(NOT	(FreeGoal29))
						(AND	(NOT	(FreeGoal3))
							(AND	(NOT	(FreeGoal30))(FreeGoal4)))))))))
				=> 	(Angle N)(Module FAST)(Rot LEFT);

(AND	(AND	(BallInContact)(BallN))
	(AND	(NOT	(FreeGoal0))
		(AND	(NOT	(FreeGoal1))
			(AND 	(NOT 	(FreeGoal28))
				(AND	(NOT	(FreeGoal2))
					(AND	(NOT	(FreeGoal29))
						(AND	(NOT	(FreeGoal3))
							(AND	(NOT	(FreeGoal30))
								(NOT	(FreeGoal4))))))))))
				=> 	(Angle N)(Module FAST)(Rot RIGHT);


# Section Ball-Goal SmallRight

(AND	(BallInContact)(NOT	(BallGoalAligned)))=>	(Module SLOW);
[8]{
(AND	(AND	(BallInContact) (Ball<D>))
	(BallGoalSmallRight))		=> (Angle <D+2>);
}
# Section Ball-Goal Right or Opposite moving left, or not turning

[8]{
(AND	(AND	(BallInContact) (Ball<D>))
	(OR	(BallGoalRight)
		(AND	(BallGoalOpposite)
			(NOT	(MovingRight<D>)))))	=> (Angle <D+4>);
}
# Section Ball-Goal SmallLeft

[8]{
(AND	(AND	(BallInContact) (Ball<D>))
	(BallGoalSmallLeft))		=> (Angle  <D+14>);
}
# Section Ball-Goal Left or Opposite moving right

[8]{
(AND	(AND	(BallInContact) (Ball<D>))
	(OR	(BallGoalLeft)
		(AND	(BallGoalOpposite) (MovingRight<D>))))	=> (Angle  <D+12>);
}

