#include "FileRawAcquisition.h"
#include <stdlib.h>
#include <string>
using namespace std;

string FileRawAcquisition::createFileName(){
	char s[256];
	sprintf(s,format.c_str(),count);
	string str=header+string(s)+tailer;
	return str;
}

bool FileRawAcquisition::isReady(){
	return true;
}

FileRawAcquisition::FileRawAcquisition(string h,string t,string f)
{
	mpImage = new unsigned char [image_width*image_height];
	header=h;
	tailer=t;
	format=f;
	count=0;
}

FileRawAcquisition::~FileRawAcquisition(){
	if(mpImage!=NULL)
		delete [] mpImage;
}

void FileRawAcquisition::Start(){
	count=0;
}

void FileRawAcquisition::Stop(){ 

}

unsigned char* FileRawAcquisition::CaptureFrame(){
	FILE *fp=fopen(createFileName().c_str(),"rb");
	int numBytesRead=0;
	if(fp!=NULL){
		numBytesRead = fread(mpImage, 1, image_width*image_height, fp);
		fclose(fp);
	}
	count++;
	
	if(numBytesRead!=image_width*image_height){
		//printf("fileraw:: count: %d, return NULL\n",count);
		return NULL;
	}
	else{
		//printf("fileraw:: count: %d, return OK\n",count);
		return mpImage;
	}

}

