#include "Matrix3DRotoTraslation.h"

Matrix3DRotoTraslation::Matrix3DRotoTraslation(){
	for(int i=0;i<4;i++){
		for(int j=0;j<4;j++){
			data[i][j]=0;
		}
	}
	data[3][3]=1.0;
}

Matrix3DRotoTraslation::~Matrix3DRotoTraslation(){
}

int Matrix3DRotoTraslation::setValue(int i,int j,double v){
	if(i<0)return -1;
	if(j<0)return -1;
	if(i>2)return -1;
	if(j>3)return -1;
	if((i==3)&&(j==3))return -1;
	data[i][j]=v;	
	return 0;
};
double Matrix3DRotoTraslation::getValue(int i,int j){
	if(i<0)return 0;
	if(j<0)return 0;
	if(i>3)return 0;
	if(j>3)return 0;
	return data[i][j];
};

