#include <DCDT_Agora.h>
#include <DCDT_Member.h>
#include <DCDT_Time.h>

#include "const.h"

#include "member_one.h"
#include "member_two.h"

int main() {

  DCDT_Agora *agora;
  MemberOne *member1;
  MemberTwo *member2;

  agora = new DCDT_Agora("../dcdt.conf");

  LAT_INIT( 2, 100 );

  member1 = new MemberOne(agora);
  member2 = new MemberTwo(agora);

  agora->AddMember(member1);
  agora->AddMember(member2);

  agora->ActivateMember(member1);
  agora->ActivateMember(member2);

  printf ( "agora->LetsWork()\n" );
  agora->LetsWork();
  printf ( "Ended agora->LetsWork()\n" );

  delete member1;
  delete member2;

  delete agora;

  return 0;
}
