using namespace std;

#include "member_two.h"
#include <unistd.h>

MemberTwo::MemberTwo (DCDT_Agora* agora)
:DCDT_Member(agora,25000)
{
};

MemberTwo::~MemberTwo()
{
};

void
MemberTwo::Init()
{
  printf("\nMemberTwo: Initializing\n");
  fflush(stdout);

  //SubscribeMsgType(1, DCDT_LOCAL_MSG);
  SubscribeMsgType(1, DCDT_REMOTE_MSG );
  SubscribeMsgType(3, DCDT_LOCAL_MSG);
  SubscribeMsgType(4);

};

void
MemberTwo::DoYourJob (int par)
{
  static int counter=0;

  const DCDT_Msg* rxMsg = ReceiveMsgType(1,false);
  if (rxMsg) {
    counter++;
    cout << "\nM2: Received msg type " << rxMsg->ReadType() << "\nPayload: " << (char*)rxMsg->GetPayload() << "\n";
  }
  else
    cout << "\nM2: No msg";

  if ( counter == 100 ) {
     char *text;
     DCDT_Msg *txMsg = CreateMsg(2);
     txMsg->SetDeliveryWarranty(TCP_WARRANTY);
     text = (char *)malloc(30);
     strcpy(text, "Spegniti");
     txMsg->SetPayload(text, strlen(text)+1);
     cout << "\nM2: Sharing msg type 2";
     ShareMsg( txMsg );
     sleep(5);
     Exit();
  }

  if ( ReadExcededFlag() ) {
     ClearExcededFlag();
     cout << "Periodo non rispettato!\n";
  }
};

void
MemberTwo::Close()
{
};


