#ifndef MEDIAMOBILE_H
#define MEDIAMOBILE_H

#define MAXC 256

#include <deque>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

using namespace std;

class FiltroMediaMobile{
	private:
	double *pesi;
	unsigned int n;
	deque<double> dati;
	
	public:

	inline FiltroMediaMobile(unsigned int pn,double *ppesi){
		n=pn;
		pesi=new double[n];
		for(unsigned int i=0;i<n;i++){
			pesi[i]=ppesi[i];
		}

	};
	inline FiltroMediaMobile(){
		delete [] pesi;
	};
	
	inline void addData(double p){
		if(dati.size()==n){
			dati.pop_front();
		}
		dati.push_back(p);
	};
	
	bool isReady();

	double calculateMean();
};

#endif
