#GoToBallOrientedToGoal

#The robot must become BallOwner: robot's kicker must be very close to the ball. Goal is opponent's goal.
#robot, ball and goal must be aligned.

(OR	(BallInKicker)
	(AND	(BallInContact)
		(AND	(BallGoalAligned)
			(NOT	(BallN)))))	=> 	(Module STEADY) ;


## Section Ball Far and Near

(BallFar) 	=> 	(Module VERY_FAST);
(BallNear) 	=> 	(Module VERY_FAST);

[8]{
(AND	(Ball<D>)
	(OR	(BallFar) (BallNear)))	=>	(Angle <D>);

(AND	(AND	(Ball<D>) (Ball<D+2>))
	(OR	(BallFar) (BallNear)))	=>	(Angle <D+1>);
}
## Section Ball Close
	
(BallClose)	=> 	(Module FAST);

# Section Ball-Goal Aligned

[8]{
(AND	(AND	(BallClose) (Ball<D>))
	(BallGoalAligned)) 		=> (Angle <D>);
}
# Section Ball-Goal Right or SmallRight or Opposite moving left, or not turning

[8]{
(AND	(AND	(BallClose) (Ball<D>))
	(OR	(BallGoalRight)
		(OR	(BallGoalSmallRight)
			(AND	(BallGoalOpposite)
				(NOT	(MovingRight<D>))))))	=> (Angle <D+2>);
}
# Section Ball-Goal Left or SmallLeft or Opposite moving right

[8]{
(AND	(AND	(BallClose) (Ball<D>))
	(OR	(BallGoalLeft)
		(OR	(BallGoalSmallLeft)
			(AND	(BallGoalOpposite) (MovingRight<D>)))))	=> (Angle  <D+14>);
}

## Ball In Contact

(AND	(BallInContact)
	(NOT	(AND	(BallGoalAligned)
			(NOT	(BallN)))))	=> 	(Module MID);

(AND	(BallInContact)(BallN)) => (Module SLOW)(Angle N);

# Section Ball-Goal right or Opposite, moving left of not turning

[8]{
(AND	(AND	(BallInContact)(Ball<D>))
	(OR	(BallGoalRight)
		(OR	(BallGoalSmallRight)
			(AND	(BallGoalOpposite)
				(NOT	(MovingRight<D>))))))	=> 	(Angle <D+5>)
									(Module MID);
}

# Section Ball-Goal Left or SmallLeft or Opposite, moving Right

[8]{
(AND	(AND	(BallInContact)(Ball<D>))
	(OR	(BallGoalLeft)
		(OR	(BallGoalSmallLeft)
			(AND	(BallGoalOpposite) (MovingRight<D>)))))	=> 	(Angle <D+11>)
										(Module MID);
}