# KickToTarget

# The robot must make the ball reach a target. In this case the target is a specific position.

(OrientationTargetInContact)  	=> 	(Module STEADY);

(NOT	(BallTargetAlignedN))	=>	(Module SLOW);

# Section Target passable close

(AND	(AND	(OrientationTargetPassableClose) 
		(OR (OrientationTargetClose)(OrientationTargetNear)))
	(BallTargetAlignedN)) 				=> 	(Module STEADY)(Angle N);

(AND	(AND	(OrientationTargetPassableClose)(OrientationTargetFar))
	(BallTargetAlignedN) ) 				=> 	(Module FAST)(Angle N);

# Section Target kickable

(AND	(AND	(OrientationTargetKickable)(FreeN))
	(BallTargetAlignedN))			 	=> 	(Kick FRONT)
								(Module FAST)(Angle N);

(AND	(AND	(OrientationTargetKickable)(NOT	(FreeN)))
	(BallTargetAlignedN))			 	=> 	(Module FAST)(Angle N);

# Section Target passable far

(AND	(OrientationTargetPassableFar)(BallTargetAlignedN))=> 	(Module FAST)(Angle N);