#ifndef WiimExpert_h
#define WiimExpert_h

#include "StringModuleMember.h"

#include <sys/time.h>
#include <stdlib.h> 
#include <stdio.h>
#include <const.h>
#include <msg.h>
#include <wiim.h>
#include <wiiuse.h>

class WiimExpert : public StringModuleMember
{
	 	public:
  		WiimExpert (ModuleDispatch* kernel, int period);
  		~WiimExpert ();
   		void RunInit();
   		void RunClose();
   		void RunDuty();

 		private:
   		Wiim* wiim;
   		int canDo();
   		void calculateposition();
   		long elapsed(int);
   		void settimer(int);
   		void AddBrianData(char*,float,float);
   		void printstatus();
   			
   		struct timeval last_render[10];
   		float charged;
		int Hit;
		int gHome;
		int restartflag;
		int rotflag;
		int fps;
		int random_sign;

   		pos home;
   		pos goal;
   		pos center;
   		pos rob;

		int robotpoint;
		int humanpoint;
		int pointrobotflag;
		
		float maxx,maxy,minx,miny;
		
		weightfloat ir_centerarray_x[IRCENTERFILTER];
		weightfloat ir_centerarray_y[IRCENTERFILTER];
		
		float base_time;
		FILE* fp;

	};
#endif
