#ifndef GestioneCoordinateAssolute_h
#define GestioneCoordinateAssolute_h

#include "Matrix3DRotoTraslation.h"
#include "Param3DRotoTraslation.h"

#include <string>
#include <map>
#include "math.h"

using namespace std;


class GestioneCoordinateAssolute{
	map <int,Matrix3DRotoTraslation *> tagMat;
	Matrix3DRotoTraslation * postMatrixMult;
	Matrix3DRotoTraslation * result;
	Param3DRotoTraslation  * presult;
	public:
		GestioneCoordinateAssolute();
		~GestioneCoordinateAssolute();
		void addTag(int tagNum,double x,double y,double z,double a,double b,double c);
		void setPostMatrix(double x,double y,double z,double a,double b,double c);

		int getAbsolute(int tag,Matrix3DRotoTraslation *src);
		inline Matrix3DRotoTraslation * getResult(){return result;};
		inline Param3DRotoTraslation * getResultParameter(){return presult;};
		double getX();
		double getY();
		double getA();
};

#endif
